%bcond_with bootstrap

Summary:        Common POM file for HttpComponents
Name:           httpcomponents-project
Version:        12
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://hc.apache.org/
Source0:        https://archive.apache.org/dist/httpcomponents/httpcomponents-parent/httpcomponents-parent-%{version}-source-release.zip
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
%endif

ExclusiveArch:  %{java_arches} noarch
BuildArch:      noarch

%description
Common Maven POM file for HttpComponents. This project should be
required only for building dependant packages with Maven. Please don't
use it as runtime requirement.

%prep
%autosetup -n httpcomponents-parent-%{version}
cp -p %{SOURCE1} .

%pom_remove_plugin :clirr-maven-plugin
%pom_remove_plugin :docbkx-maven-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :apache-rat-plugin

%mvn_alias : :project

%build
%mvn_file  : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu May 04 2023 Miaojun Dong <zoedong@tencent.com> - 12-4
- Non-bootstrap build

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 27 2023 Miaojun Dong <zoedong@tencent.com> - 12-1
- initial build
